diff --git a/NetworkPkg/Ip6Dxe/Ip6Nd.c b/NetworkPkg/Ip6Dxe/Ip6Nd.c
index 0780a98..c10c701 100644
--- a/NetworkPkg/Ip6Dxe/Ip6Nd.c
+++ b/NetworkPkg/Ip6Dxe/Ip6Nd.c
@@ -2881,149 +2896,111 @@ Ip6NdFasterTimerTicking (
     NeighborCache = NET_LIST_USER_STRUCT (Entry, IP6_NEIGHBOR_ENTRY, Link);
 
     switch (NeighborCache->State) {
-    case EfiNeighborInComplete:
-      if (NeighborCache->Ticks > 0) {
-        --NeighborCache->Ticks;
-      }
-
-      //
-      // Retransmit Neighbor Solicitation messages approximately every
-      // RetransTimer milliseconds while awaiting a response.
-      //
-      if (NeighborCache->Ticks == 0) {
-        if (NeighborCache->Transmit > 1) {
-          //
-          // Send out multicast neighbor solicitation for address resolution.
-          // After last neighbor solicitation message has been sent out, wait
-          // for RetransTimer and then remove entry if no response is received.
-          //
-          Ip6CreateSNMulticastAddr (&NeighborCache->Neighbor, &Destination);
-          Status = Ip6SelectSourceAddress (IpSb, &NeighborCache->Neighbor, &Source);
-          if (EFI_ERROR (Status)) {
-            return;
-          }
-
-          Status = Ip6SendNeighborSolicit (
-                     IpSb,
-                     &Source,
-                     &Destination,
-                     &NeighborCache->Neighbor,
-                     &IpSb->SnpMode.CurrentAddress
-                     );
-          if (EFI_ERROR (Status)) {
-            return;
-          }
+      case EfiNeighborInComplete:
+        if (NeighborCache->Ticks > 0) {
+          --NeighborCache->Ticks;
         }
 
         //
-        // Update the retransmit times.
+        // Retransmit Neighbor Solicitation messages approximately every
+        // RetransTimer milliseconds while awaiting a response.
         //
-        if (NeighborCache->Transmit > 0) {
-          --NeighborCache->Transmit;
-          NeighborCache->Ticks = IP6_GET_TICKS (IpSb->RetransTimer);
-        }
-      }
-
-      if (NeighborCache->Transmit == 0) {
-        //
-        // Timeout, send ICMP destination unreachable packet and then remove entry
-        //
-        Status = Ip6FreeNeighborEntry (
-                   IpSb,
-                   NeighborCache,
-                   TRUE,
-                   TRUE,
-                   EFI_ICMP_ERROR,
-                   NULL,
-                   NULL
-                   );
-        if (EFI_ERROR (Status)) {
-          return;
-        }
-      }
+        if (NeighborCache->Ticks == 0) {
+          if (NeighborCache->Transmit > 1) {
+            //
+            // Send out multicast neighbor solicitation for address resolution.
+            // After last neighbor solicitation message has been sent out, wait
+            // for RetransTimer and then remove entry if no response is received.
+            //
+            Ip6CreateSNMulticastAddr (&NeighborCache->Neighbor, &Destination);
+            Status = Ip6SelectSourceAddress (IpSb, &NeighborCache->Neighbor, &Source);
+            if (EFI_ERROR (Status)) {
+              return;
+            }
 
-      break;
+            Status = Ip6SendNeighborSolicit (
+                       IpSb,
+                       &Source,
+                       &Destination,
+                       &NeighborCache->Neighbor,
+                       &IpSb->SnpMode.CurrentAddress
+                       );
+            if (EFI_ERROR (Status)) {
+              return;
+            }
+          }
 
-    case EfiNeighborReachable:
-      //
-      // This entry is inserted by EfiIp6Neighbors() as static entry
-      // and will not timeout.
-      //
-      if (!NeighborCache->Dynamic && (NeighborCache->Ticks == IP6_INFINIT_LIFETIME)) {
-        break;
-      }
+          //
+          // Update the retransmit times.
+          //
+          if (NeighborCache->Transmit > 0) {
+            --NeighborCache->Transmit;
+            NeighborCache->Ticks = IP6_GET_TICKS (IpSb->RetransTimer);
+          }
+        }
 
-      if ((NeighborCache->Ticks == 0) || (--NeighborCache->Ticks == 0)) {
-        if (NeighborCache->Dynamic) {
+        if (NeighborCache->Transmit == 0) {
           //
-          // This entry is inserted by EfiIp6Neighbors() as dynamic entry
-          // and will be deleted after timeout.
+          // Timeout, send ICMP destination unreachable packet and then remove entry
           //
           Status = Ip6FreeNeighborEntry (
                      IpSb,
                      NeighborCache,
-                     FALSE,
                      TRUE,
-                     EFI_TIMEOUT,
+                     TRUE,
+                     EFI_ICMP_ERROR,
                      NULL,
                      NULL
                      );
           if (EFI_ERROR (Status)) {
             return;
           }
-        } else {
-          NeighborCache->State = EfiNeighborStale;
-          NeighborCache->Ticks = (UINT32) IP6_INFINIT_LIFETIME;
         }
-      }
 
-      break;
-
-    case EfiNeighborDelay:
-      if ((NeighborCache->Ticks == 0) || (--NeighborCache->Ticks == 0)) {
+        break;
 
-        NeighborCache->State    = EfiNeighborProbe;
-        NeighborCache->Ticks    = IP6_GET_TICKS (IpSb->RetransTimer);
-        NeighborCache->Transmit = IP6_MAX_UNICAST_SOLICIT + 1;
+      case EfiNeighborReachable:
         //
-        // Send out unicast neighbor solicitation for Neighbor Unreachability Detection
+        // This entry is inserted by EfiIp6Neighbors() as static entry
+        // and will not timeout.
         //
-        Status = Ip6SelectSourceAddress (IpSb, &NeighborCache->Neighbor, &Source);
-        if (EFI_ERROR (Status)) {
-          return;
+        if (!NeighborCache->Dynamic && (NeighborCache->Ticks == IP6_INFINIT_LIFETIME)) {
+          break;
         }
 
-        Status = Ip6SendNeighborSolicit (
-                   IpSb,
-                   &Source,
-                   &NeighborCache->Neighbor,
-                   &NeighborCache->Neighbor,
-                   &IpSb->SnpMode.CurrentAddress
-                   );
-        if (EFI_ERROR (Status)) {
-          return;
+        if ((NeighborCache->Ticks == 0) || (--NeighborCache->Ticks == 0)) {
+          if (NeighborCache->Dynamic) {
+            //
+            // This entry is inserted by EfiIp6Neighbors() as dynamic entry
+            // and will be deleted after timeout.
+            //
+            Status = Ip6FreeNeighborEntry (
+                       IpSb,
+                       NeighborCache,
+                       FALSE,
+                       TRUE,
+                       EFI_TIMEOUT,
+                       NULL,
+                       NULL
+                       );
+            if (EFI_ERROR (Status)) {
+              return;
+            }
+          } else {
+            NeighborCache->State = EfiNeighborStale;
+            NeighborCache->Ticks = (UINT32)IP6_INFINIT_LIFETIME;
+          }
         }
 
-        NeighborCache->Transmit--;
-      }
-
-      break;
-
-    case EfiNeighborProbe:
-      if (NeighborCache->Ticks > 0) {
-        --NeighborCache->Ticks;
-      }
+        break;
 
-      //
-      // Retransmit Neighbor Solicitation messages approximately every
-      // RetransTimer milliseconds while awaiting a response.
-      //
-      if (NeighborCache->Ticks == 0) {
-        if (NeighborCache->Transmit > 1) {
+      case EfiNeighborDelay:
+        if ((NeighborCache->Ticks == 0) || (--NeighborCache->Ticks == 0)) {
+          NeighborCache->State    = EfiNeighborProbe;
+          NeighborCache->Ticks    = IP6_GET_TICKS (IpSb->RetransTimer);
+          NeighborCache->Transmit = IP6_MAX_UNICAST_SOLICIT + 1;
           //
-          // Send out unicast neighbor solicitation for Neighbor Unreachability
-          // Detection. After last neighbor solicitation message has been sent out,
-          // wait for RetransTimer and then remove entry if no response is received.
+          // Send out unicast neighbor solicitation for Neighbor Unreachability Detection
           //
           Status = Ip6SelectSourceAddress (IpSb, &NeighborCache->Neighbor, &Source);
           if (EFI_ERROR (Status)) {
@@ -3040,39 +3017,76 @@ Ip6NdFasterTimerTicking (
           if (EFI_ERROR (Status)) {
             return;
           }
+
+          NeighborCache->Transmit--;
         }
 
-        //
-        // Update the retransmit times.
-        //
-        if (NeighborCache->Transmit > 0) {
-          --NeighborCache->Transmit;
-          NeighborCache->Ticks = IP6_GET_TICKS (IpSb->RetransTimer);
+        break;
+
+      case EfiNeighborProbe:
+        if (NeighborCache->Ticks > 0) {
+          --NeighborCache->Ticks;
         }
-      }
 
-      if (NeighborCache->Transmit == 0) {
         //
-        // Delete the neighbor entry.
+        // Retransmit Neighbor Solicitation messages approximately every
+        // RetransTimer milliseconds while awaiting a response.
         //
-        Status = Ip6FreeNeighborEntry (
-                   IpSb,
-                   NeighborCache,
-                   FALSE,
-                   TRUE,
-                   EFI_TIMEOUT,
-                   NULL,
-                   NULL
-                   );
-        if (EFI_ERROR (Status)) {
-          return;
+        if (NeighborCache->Ticks == 0) {
+          if (NeighborCache->Transmit > 1) {
+            //
+            // Send out unicast neighbor solicitation for Neighbor Unreachability
+            // Detection. After last neighbor solicitation message has been sent out,
+            // wait for RetransTimer and then remove entry if no response is received.
+            //
+            Status = Ip6SelectSourceAddress (IpSb, &NeighborCache->Neighbor, &Source);
+            if (EFI_ERROR (Status)) {
+              return;
+            }
+
+            Status = Ip6SendNeighborSolicit (
+                       IpSb,
+                       &Source,
+                       &NeighborCache->Neighbor,
+                       &NeighborCache->Neighbor,
+                       &IpSb->SnpMode.CurrentAddress
+                       );
+            if (EFI_ERROR (Status)) {
+              return;
+            }
+          }
+
+          //
+          // Update the retransmit times.
+          //
+          if (NeighborCache->Transmit > 0) {
+            --NeighborCache->Transmit;
+            NeighborCache->Ticks = IP6_GET_TICKS (IpSb->RetransTimer);
+          }
         }
-      }
 
-      break;
+        if (NeighborCache->Transmit == 0) {
+          //
+          // Delete the neighbor entry.
+          //
+          Status = Ip6FreeNeighborEntry (
+                     IpSb,
+                     NeighborCache,
+                     FALSE,
+                     TRUE,
+                     EFI_TIMEOUT,
+                     NULL,
+                     NULL
+                     );
+          if (EFI_ERROR (Status)) {
+            return;
+          }
+        }
 
-    default:
-      break;
+        break;
+
+      default:
+        break;
     }
   }
 }
@@ -3087,15 +3101,15 @@ Ip6NdFasterTimerTicking (
 **/
 VOID
 Ip6NdTimerTicking (
-  IN IP6_SERVICE            *IpSb
+  IN IP6_SERVICE  *IpSb
   )
 {
-  LIST_ENTRY                *Entry;
-  LIST_ENTRY                *Next;
-  IP6_DEFAULT_ROUTER        *DefaultRouter;
-  IP6_PREFIX_LIST_ENTRY     *PrefixOption;
-  UINT8                     Index;
-  IP6_ROUTE_CACHE_ENTRY     *RouteCache;
+  LIST_ENTRY             *Entry;
+  LIST_ENTRY             *Next;
+  IP6_DEFAULT_ROUTER     *DefaultRouter;
+  IP6_PREFIX_LIST_ENTRY  *PrefixOption;
+  UINT8                  Index;
+  IP6_ROUTE_CACHE_ENTRY  *RouteCache;
 
   //
   // Decrease the lifetime of default router, if expires remove it from default router list.
@@ -3114,11 +3128,12 @@ Ip6NdTimerTicking (
   //
   NET_LIST_FOR_EACH_SAFE (Entry, Next, &IpSb->AutonomousPrefix) {
     PrefixOption = NET_LIST_USER_STRUCT (Entry, IP6_PREFIX_LIST_ENTRY, Link);
-    if (PrefixOption->ValidLifetime != (UINT32) IP6_INFINIT_LIFETIME) {
+    if (PrefixOption->ValidLifetime != (UINT32)IP6_INFINIT_LIFETIME) {
       if ((PrefixOption->ValidLifetime > 0) && (--PrefixOption->ValidLifetime > 0)) {
-        if ((PrefixOption->PreferredLifetime != (UINT32) IP6_INFINIT_LIFETIME) &&
+        if ((PrefixOption->PreferredLifetime != (UINT32)IP6_INFINIT_LIFETIME) &&
             (PrefixOption->PreferredLifetime > 0)
-            ) {
+            )
+        {
           --PrefixOption->PreferredLifetime;
         }
       } else {
@@ -3129,7 +3144,7 @@ Ip6NdTimerTicking (
 
   NET_LIST_FOR_EACH_SAFE (Entry, Next, &IpSb->OnlinkPrefix) {
     PrefixOption = NET_LIST_USER_STRUCT (Entry, IP6_PREFIX_LIST_ENTRY, Link);
-    if (PrefixOption->ValidLifetime != (UINT32) IP6_INFINIT_LIFETIME) {
+    if (PrefixOption->ValidLifetime != (UINT32)IP6_INFINIT_LIFETIME) {
       if ((PrefixOption->ValidLifetime == 0) || (--PrefixOption->ValidLifetime == 0)) {
         Ip6DestroyPrefixListEntry (IpSb, PrefixOption, TRUE, TRUE);
       }
@@ -3156,4 +3171,3 @@ Ip6NdTimerTicking (
     }
   }
 }
-
